Kompilacja WarZone 2.1 RC, brak OpenGL


(kijek) #1

Cześć, chcę sobie skompilować grę WarZone w wersji 2.1 RC, lecz podczas ./configure wywaliło mi komunikat o braku OpenGL'a

checking for main in -lGL... no

checking for main in -lopengl32... no

configure: error: OpenGL library not found.

Szukałem tej biblioteki w Synaptic'u, lecz nie mogę takiej znaleźć, są tylko jakieś dla ruby i perla. Może wie ktoś, jak uporać się z tym problemem?


(matiit) #2

libgl1-mesa-dev

libgl1-mesa-swx11-dev


(kijek) #3

Z OpenGL już problemu nie ma, lecz teraz znów wyświetla

checking whether to build NSIS installer... no

checking whether to compile in debug mode... no

checking for SDL... configure: error: Package requirements (sdl >= 1.2) were not met:


No package 'sdl' found


Consider adjusting the PKG_CONFIG_PATH environment variable if you

installed software in a non-standard prefix.


Alternatively, you may set the environment variables SDL_CFLAGS

and SDL_LIBS to avoid the need to call pkg-config.

See the pkg-config man page for more details.

Wydaje mi się, że aby skompilować tą grę niezbędny będzie cud. Spróbowałem też zrobić tak jak jest w pliku COMPILE, czyli 'make -f Makefile.raw', 'autoheader', 'autoconf', 'automake', lecz podczas tego ostatniego wywala:

build_tools/autorevision/Makefile.am:3: `CPPFLAGS' is a user variable, you should not override it;

build_tools/autorevision/Makefile.am:3: use `AM_CPPFLAGS' instead.

data/mods/global/Makefile.am:3: `%'-style pattern rules are a GNU make extension

data/mods/global/Makefile.am:4: filter-out $<,$(?: non-POSIX variable name

data/mods/global/Makefile.am:4: (probably a GNU make extension)

data/mods/global/aivolution/multiplay/skirmish/Makefile.am:5: `%'-style pattern rules are a GNU make extension

data/mods/global/aivolution/multiplay/skirmish/Makefile.am:8: `%'-style pattern rules are a GNU make extension

data/mods/multiplay/Makefile.am:4: `%'-style pattern rules are a GNU make extension

data/mods/multiplay/Makefile.am:5: filter-out stamp,$(filter-out $<,$(^: non-POSIX variable name

data/mods/multiplay/Makefile.am:5: (probably a GNU make extension)

lib/framework/Makefile.am:4: `%'-style pattern rules are a GNU make extension

lib/gamelib/Makefile.am:4: `%'-style pattern rules are a GNU make extension

lib/script/Makefile.am:4: `%'-style pattern rules are a GNU make extension

Makefile.am: required file `./INSTALL' not found

Makefile.am: `automake --add-missing' can install `INSTALL'

Makefile.am: required file `./NEWS' not found

Makefile.am: required file `./README' not found

configure.ac:40: required file `./ABOUT-NLS' not found

(roobal) #4

Pamiętasz ten temat, który niedawno zakładałeś? viewtopic.php?f=14&t=284055

Może spróbuj rozwiązać problem z tym zależnościami przy pomocy programu, o którym napisałem w ostatnim poście :slight_smile:

Pozdrawiam!


(kijek) #5

Z tym błędem już sobie poradziłem, teraz usiłuję pobrać QuesoGLC stąd: http://sourceforge.net/project/download ... 2&49148305 lecz nie chce się pobrać :expressionless: Cud! !!